## org.apache.poi.hpsf
Class NoPropertySetStreamException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.poi.hpsf.HPSFException
                  org.apache.poi.hpsf.NoPropertySetStreamException

All Implemented Interfaces:
  java.io.Serializable

    public class NoPropertySetStreamException

extends HPSFException

This exception is thrown if a format error in a property set stream is detected or when the input data do not constitute a property set stream.

The constructors of this class are analogous to those of its superclass and are documented there.

Author:
  Rainer Klute <klute@rainer-klute.de>
See Also:
  Serialized Form

Constructor Summary
`NoPropertySetStreamException()` Constructor
`NoPropertySetStreamException(java.lang.String msg)` Constructor
`NoPropertySetStreamException(java.lang.String msg, java.lang.Throwable reason)` Constructor
`NoPropertySetStreamException(java.lang.Throwable reason)` Constructor

Method Summary

Methods inherited from class org.apache.poi.hpsf.HPSFException
`getReason`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoPropertySetStreamException

    public NoPropertySetStreamException()

  Constructor

### NoPropertySetStreamException

    public NoPropertySetStreamException(java.lang.String msg)

  Constructor

  Parameters:
    `msg` - The exception's message string

### NoPropertySetStreamException

    public NoPropertySetStreamException(java.lang.Throwable reason)

  Constructor

  Parameters:
    `reason` - This exception's underlying reason

### NoPropertySetStreamException

    public NoPropertySetStreamException(java.lang.String msg,
                                        java.lang.Throwable reason)

  Constructor

  Parameters:
    `msg` - The exception's message string
    `reason` - This exception's underlying reason

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.